org.apache.avro.generic

## Interface GenericFixed

- All Superinterfaces:
    GenericContainer
  All Known Implementing Classes:
    GenericData.Fixed, MD5, SpecificFixed

      public interface GenericFixed
      extends GenericContainer

  Fixed-size data.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `bytes()` Return the data.

    - ### Methods inherited from interface org.apache.avro.generic.GenericContainer

      `getSchema`

- - ### Method Detail

    - #### bytes

          byte[] bytes()

      Return the data.

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.